Bug 1301023 - Review Request: python-sphinx-autobuild - Watch a Sphinx directory and rebuild the documentation
Review Request: python-sphinx-autobuild - Watch a Sphinx directory and rebuil...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On: 1030755 1301008 1302197
  Show dependency treegraph
Reported: 2016-01-22 06:03 EST by Sundeep Anand
Modified: 2016-02-09 15:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-09 15:53:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Sundeep Anand 2016-01-22 06:03:23 EST
Spec URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-sphinx-autobuild.spec
SRPM URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-sphinx-autobuild-0.5.2-1.fc23.src.rpm
Description: Watch a Sphinx directory and rebuild the documentation when a change is detected. Also includes a livereload enabled web server.
Fedora Account System Username: suanand
Comment 1 Upstream Release Monitoring 2016-01-22 06:07:38 EST
suanand's scratch build of python-sphinx-autobuild-0.5.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12646199
Comment 3 Upstream Release Monitoring 2016-01-27 02:05:20 EST
suanand's scratch build of python-sphinx-autobuild-0.5.2-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12697343
Comment 4 Parag AN(पराग) 2016-01-27 08:43:35 EST
Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

==> This will get fixed when required packages for this package are built in Fedora.

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 10 files have
     unknown license. Detailed output of licensecheck in
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

[x]: Python eggs must not download any dependencies during the build
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.

Installation errors
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/parag/1301023-python-sphinx-autobuild/results/python-sphinx-autobuild-0.5.2-2.fc24.noarch.rpm /home/parag/1301023-python-sphinx-autobuild/results/python3-sphinx-autobuild-0.5.2-2.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/parag/1301023-python-sphinx-autobuild/results/python-sphinx-autobuild-0.5.2-2.fc24.noarch.rpm /home/parag/1301023-python-sphinx-autobuild/results/python3-sphinx-autobuild-0.5.2-2.fc24.noarch.rpm --setopt=tsflags=nocontexts

Checking: python-sphinx-autobuild-0.5.2-2.fc24.noarch.rpm
python-sphinx-autobuild.noarch: W: no-manual-page-for-binary sphinx-autobuild
python3-sphinx-autobuild.noarch: W: no-manual-page-for-binary sphinx-autobuild-3
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

python-sphinx-autobuild (rpmlib, GLIBC filtered):

python3-sphinx-autobuild (rpmlib, GLIBC filtered):



Source checksums
https://pypi.python.org/packages/source/s/sphinx-autobuild/sphinx-autobuild-0.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 120af8b893061ec72be4aa91b93455e6d0d4a80175c07a53819910c4d8974830
  CHECKSUM(SHA256) upstream package : 120af8b893061ec72be4aa91b93455e6d0d4a80175c07a53819910c4d8974830

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20

Comment 5 Gwyn Ciesla 2016-01-28 10:01:45 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-sphinx-autobuild
Comment 6 Fedora Update System 2016-02-01 01:44:15 EST
python-sphinx-autobuild-0.5.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-17853a9fe2
Comment 7 Fedora Update System 2016-02-01 21:27:27 EST
python-sphinx-autobuild-0.5.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-17853a9fe2
Comment 8 Fedora Update System 2016-02-09 15:53:43 EST
python-sphinx-autobuild-0.5.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.